## libm4ri 0.0.20080521

=== testsuite/Makefile ===
CFLAGS=-I../src
LDFLAGS=-L../.libs/ -lm4ri
DEBUG=-ggdb



PRGS=test_reduction test_multiplication bench_reduction bench_multiplication bench_addition

CPUCYCLES_DIR=./cpucycles-20060326

all: cpucycles.o $(PRGS)

# cpucycles.o should be a dependency here
.c:	
	$(CC) $(DEBUG) $(CFLAGS) $@.c cpucycles.o $(LDFLAGS) -o $@
clean:
	rm -f $(PRGS)
	rm -f cpucycles.o cpucycles.h
	rm -f $(CPUCYCLES_DIR)/cpucycles.o
	rm -f $(CPUCYCLES_DIR)/cpucycles.h

cpucycles.h: cpucycles.o

cpucycles.o:
	(cd $(CPUCYCLES_DIR); sh do; cp cpucycles.o ..; cp cpucycles.h ..; cd ..)

## libm4ri 20120613

=== debian/changelog ===
libm4ri (20120613-2) experimental; urgency=low

  * Bump Standards-Version: to 3.9.4 (no changes needed)
  * Add Vcs-* fields 
  * Add pkg-config and libpng-dev to Build-Depends (Closes: #699071)
  * Add --enable-openmp flag to add OpenMP support for parallel multiplication
    and elimination
  * Build a libm4ri-0.0.20120613-dbg package
    + override lintian message about the absence of upstream changelog
  * debian/control: reformat using cme fix dpkg-control

 -- Cédric Boutillier <boutil@debian.org>  Sun, 27 Jan 2013 07:55:18 +0100

libm4ri (20120613-1) experimental; urgency=low

  [ Felix Salfelder ]
  * new upstream release 

  [ Cédric Boutillier ]
  * debian/control:
    + add myself to Uploaders:
    + add dpkg-dev (>= 1.16.1~) and dh-autoreconf to Build-Depends
    + add Pre-depends: multiarch-support, Multi-Arch: same for the shared
      library
    + add strict dependency on the shared library for the -dev package
  * debian/rules:
    + enable hardening
    + add --disable-sse2 flag to configure
  * debian/source/local-options: add unapply-patches option
  * debian/source/format: use 3.0 (quilt)
  * debian/*.install:
    + use multiarch paths
    + do not ship .la file in libm4ri-dev
  * Set debhelper compatibility level to 9
  * Add a debian/watch file
  * Convert debian/copyright to copyright-format/1.0
  * Change version numbering to follow upstream convention
  * Override lintian message about the absence of upstream changelog

 -- Cédric Boutillier <boutil@debian.org>  Mon, 07 Jan 2013 12:08:45 +0100

libm4ri (0.0.20080521-2) unstable; urgency=low

  * Fix DEB_AUTO_UPDATE_LIBTOOL usage (Closes: #507191).

 -- Tim Abbott <tabbott@mit.edu>  Thu, 04 Dec 2008 21:54:32 -0500

libm4ri (0.0.20080521-1) unstable; urgency=low

  * New upstream release.
  * Add missing upstream URL.
  * Improve description.
  * Updates Standards-Version to 3.8.0.

 -- Tim Abbott <tabbott@mit.edu>  Thu, 26 Jun 2008 11:23:02 -0400

libm4ri (0.0.20071224-1) unstable; urgency=low

  * Initial release (Closes: #480085).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 27 May 2008 20:24:07 -0400

=== debian/control ===
Source: libm4ri
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Felix Salfelder <felix@salfelder.org>,
           Cédric Boutillier <boutil@debian.org>
Section: math
Priority: optional
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               libtool,
               automake1.10,
               autoconf,
               dh-autoreconf,
               libpng-dev,
               pkg-config
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libm4ri.git;a=summary
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libm4ri.git
Homepage: http://m4ri.sagemath.org/

Package: libm4ri-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libm4ri-0.0.20120613 (= ${binary:Version})
Description: Method of the Four Russians Inversion library, development files
 M4RI is a library for fast arithmetic with dense matrices over F2.
 The name M4RI comes from the first implemented algorithm: The "Method
 of the Four Russians" inversion algorithm. This algorithm in turn is
 named after the "Method of the Four Russians" multiplication
 algorithm which is probably better referred to as Kronrod's method.
 .
 This package contains development files for libm4ri.

Package: libm4ri-0.0.20120613
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: multiarch-support
Description: Method of the Four Russians Inversion library, shared library
 M4RI is a library for fast arithmetic with dense matrices over F2.
 The name M4RI comes from the first implemented algorithm: The "Method
 of the Four Russians" inversion algorithm. This algorithm in turn is
 named after the "Method of the Four Russians" multiplication
 algorithm which is probably better referred to as Kronrod's method.
 .
 This package contains the m4ri shared library.

Package: libm4ri-0.0.20120613-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libm4ri-0.0.20120613 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libm4ri-0.0.20120613
 M4RI is a library for fast arithmetic with dense matrices over F2.
 The name M4RI comes from the first implemented algorithm: The "Method
 of the Four Russians" inversion algorithm. This algorithm in turn is
 named after the "Method of the Four Russians" multiplication
 algorithm which is probably better referred to as Kronrod's method.
 .
 This package contains the debugging symbols for libm4ri-0.0.20120613.

=== debian/rules ===
#!/usr/bin/make -f

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-sse2 --enable-openmp

override_dh_strip:
	dh_strip --dbg-package=libm4ri-0.0.20120613-dbg

## libm4ri 20130416

=== debian/changelog ===
libm4ri (20130416-6) unstable; urgency=low

  * Build-Depend on autoconf instead of autoconf1.10 (Closes: #724406)
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Thu, 21 Nov 2013 11:13:22 +0100

libm4ri (20130416-5) unstable; urgency=low

  * Disable openMP on all architectures for now, as recommended by upstream.

 -- Cédric Boutillier <boutil@debian.org>  Mon, 16 Sep 2013 18:20:30 +0200

libm4ri (20130416-4) unstable; urgency=low

  * Deactivate openMP on sparc to avoid randomly failing tests. 

 -- Cédric Boutillier <boutil@debian.org>  Mon, 16 Sep 2013 15:20:00 +0200

libm4ri (20130416-3) unstable; urgency=low

  * Upload to unstable.

 -- Cédric Boutillier <boutil@debian.org>  Mon, 17 Jun 2013 21:39:02 +0200

libm4ri (20130416-2) experimental; urgency=low

  * debian/rules: use DEB_HOST_ARCH_CPU instead of DEB_BUILD_ARCH_CPU
    in test for activation of SSE2 instructions.

 -- Cédric Boutillier <boutil@debian.org>  Tue, 02 Apr 2013 00:16:41 +0200

libm4ri (20130416-1) experimental; urgency=low

  * New upstream version 
  * debian/control: use anonscm.debian.org instead of git.debian.org
    for Vcs-* fields
  * debian/patches:
    + add dont_disable_sse2_for_opteron.patch: enable sse2 for non Intel CPUs
    + add disable_sse3.patch patches: disable sse3 unconditionally
    + remove (unapplied) upstream-versioning-change patch (not needed anymore)
  * debian/rules : do not disable sse2 for x86_64 CPUs (Closes: #702287)
  * add debian/upstream file

 -- Cédric Boutillier <boutil@debian.org>  Thu, 28 Mar 2013 15:04:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                libtool,
-               automake1.10,
+               automake,
                autoconf,
                dh-autoreconf,
                libpng-dev,
                pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libm4ri.git;a=summary
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/libm4ri.git
 Homepage: http://m4ri.sagemath.org/
@@ -23,7 +23,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libm4ri-0.0.20120613 (= ${binary:Version})
+         libm4ri-0.0.20130416 (= ${binary:Version})
 Description: Method of the Four Russians Inversion library, development files
  M4RI is a library for fast arithmetic with dense matrices over F2.
  The name M4RI comes from the first implemented algorithm: The "Method
@@ -33,7 +33,7 @@
  .
  This package contains development files for libm4ri.
 
-Package: libm4ri-0.0.20120613
+Package: libm4ri-0.0.20130416
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -49,12 +49,12 @@
  .
  This package contains the m4ri shared library.
 
-Package: libm4ri-0.0.20120613-dbg
+Package: libm4ri-0.0.20130416-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libm4ri-0.0.20120613 (= ${binary:Version}),
+Depends: libm4ri-0.0.20130416 (= ${binary:Version}),
          ${misc:Depends}
 Description: debugging symbols for libm4ri-0.0.20120613
  M4RI is a library for fast arithmetic with dense matrices over F2.
@@ -63,5 +63,5 @@
  named after the "Method of the Four Russians" multiplication
  algorithm which is probably better referred to as Kronrod's method.
  .
- This package contains the debugging symbols for libm4ri-0.0.20120613.
+ This package contains the debugging symbols for libm4ri-0.0.20130416.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# disable sse2 except on amd64
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
additional_confflags := --disable-sse2
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags)

override_dh_strip:
	dh_strip --dbg-package=libm4ri-0.0.20130416-dbg

=== debian/watch ===
version=3
http://m4ri.sagemath.org/downloads/ m4ri-(.+).tar.gz

## libm4ri 20140914

=== debian/changelog ===
libm4ri (20140914-2build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:13:42 +0000

libm4ri (20140914-2) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Re-add changelog entry for 20130416-6, accidentally removed in previous
    upload.
  * Fix attribution of changes in previous changelog entry

  [ Andreas Tille ]
  * Use "" as YAML value delimiter in debian/upstream/metadata

 -- Cédric Boutillier <boutil@debian.org>  Sat, 18 Oct 2014 22:57:35 +0200

libm4ri (20140914-1) unstable; urgency=medium

  [ Martin Albrecht ]
  * Imported Upstream version 20140914
  * debian/watch: update URL
  * Update package name of libraries to new soname
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Remove paragraph in copyright file for file not shipped anymore
  * debian/patches:
    + drop dont_disable_sse2_for_opteron.patch, applied upstream
    + add fix_pkgconfig_file.patch, to not include bad directives in
      pkg-config file
  * Remove gbp configuration; now using released tarballs imported with uscan
    instead of bitbucket repository as upstream source
  * Move upstream data to debian/upstream/metadata
  * Automatically read upstream version in debian/rules and reuse it to guess
    the name of the -dbg package

 -- Cédric Boutillier <boutil@debian.org>  Wed, 15 Oct 2014 23:30:02 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                dh-autoreconf,
                libpng-dev,
                pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/libm4ri.git;a=summary
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/libm4ri.git
 Homepage: http://m4ri.sagemath.org/
@@ -23,7 +23,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libm4ri-0.0.20130416 (= ${binary:Version})
+         libm4ri-0.0.20140914 (= ${binary:Version})
 Description: Method of the Four Russians Inversion library, development files
  M4RI is a library for fast arithmetic with dense matrices over F2.
  The name M4RI comes from the first implemented algorithm: The "Method
@@ -33,13 +33,13 @@
  .
  This package contains development files for libm4ri.
 
-Package: libm4ri-0.0.20130416
+Package: libm4ri-0.0.20140914
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Description: Method of the Four Russians Inversion library, shared library
  M4RI is a library for fast arithmetic with dense matrices over F2.
  The name M4RI comes from the first implemented algorithm: The "Method
@@ -49,19 +49,19 @@
  .
  This package contains the m4ri shared library.
 
-Package: libm4ri-0.0.20130416-dbg
+Package: libm4ri-0.0.20140914-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: libm4ri-0.0.20130416 (= ${binary:Version}),
+Depends: libm4ri-0.0.20140914 (= ${binary:Version}),
          ${misc:Depends}
-Description: debugging symbols for libm4ri-0.0.20120613
+Description: debugging symbols for libm4ri-0.0.20140914
  M4RI is a library for fast arithmetic with dense matrices over F2.
  The name M4RI comes from the first implemented algorithm: The "Method
  of the Four Russians" inversion algorithm. This algorithm in turn is
  named after the "Method of the Four Russians" multiplication
  algorithm which is probably better referred to as Kronrod's method.
  .
- This package contains the debugging symbols for libm4ri-0.0.20130416.
+ This package contains the debugging symbols for libm4ri-0.0.20140914.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+UPSTREAM_VERSION = $(shell dpkg-parsechangelog | awk '{ if ($$1 == "Version:") { print($$2) } }' | cut -d - -f 1)
 
 DPKG_EXPORT_BUILDFLAGS = 1
 
@@ -16,4 +18,4 @@
 	dh_auto_configure -- $(additional_confflags)
 
 override_dh_strip:
-	dh_strip --dbg-package=libm4ri-0.0.20130416-dbg
+	dh_strip --dbg-package=libm4ri-0.0.$(UPSTREAM_VERSION)-dbg

## libm4ri 20200125

=== debian/changelog ===
libm4ri (20200125-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:12:47 +0000

libm4ri (20200125-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:05:01 +0000

libm4ri (20200125-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Feb 2020 07:33:16 +0100

libm4ri (20200115-1) unstable; urgency=medium

  [ Tobias Hansen ]
  * Update website link in d/control and d/copyright.

  [ Julien Puydt ]
  * Update link in d/watch.
  * New upstream release 20200115.
  * Drop manual -dbg package - thanks S.Ramacher (Closes: #835351).
  * Follow upstream soname bump.
  * Drop fix_pkgconfig_file.patch (upstream).
  * Point Vcs-* fields to salsa.
  * Add myself to uploaders.
  * Drop d/compat and use dh-compat 12.
  * Bump std-ver to 4.4.1.
  * Rewrote d/rules.
  * Update dates in d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 19 Jan 2020 09:36:51 +0100

=== debian/control ===
Source: libm4ri
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Felix Salfelder <felix@salfelder.org>,
           Cédric Boutillier <boutil@debian.org>,
           Julien Puydt <jpuydt@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1~),
               libpng-dev,
               pkg-config
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/science-team/libm4ri.git
Vcs-Browser: https://salsa.debian.org/science-team/libm4ri
Homepage: https://bitbucket.org/malb/m4ri

Package: libm4ri-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libm4ri-0.0.20200125 (= ${binary:Version})
Description: Method of the Four Russians Inversion library, development files
 M4RI is a library for fast arithmetic with dense matrices over F2.
 The name M4RI comes from the first implemented algorithm: The "Method
 of the Four Russians" inversion algorithm. This algorithm in turn is
 named after the "Method of the Four Russians" multiplication
 algorithm which is probably better referred to as Kronrod's method.
 .
 This package contains development files for libm4ri.

Package: libm4ri-0.0.20200125
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Method of the Four Russians Inversion library, shared library
 M4RI is a library for fast arithmetic with dense matrices over F2.
 The name M4RI comes from the first implemented algorithm: The "Method
 of the Four Russians" inversion algorithm. This algorithm in turn is
 named after the "Method of the Four Russians" multiplication
 algorithm which is probably better referred to as Kronrod's method.
 .
 This package contains the m4ri shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# disable sse2 except on amd64
ifneq ($(DEB_HOST_ARCH_CPU),amd64)
additional_confflags := --disable-sse2
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags)

## libm4ri 20240729

=== debian/changelog ===
libm4ri (20240729-2) unstable; urgency=medium

  * Team upload.
  * debian/rules
    - Always disable sse2, even on amd64 (Closes: #1099530).

 -- Doug Torrance <dtorrance@debian.org>  Tue, 20 May 2025 13:54:54 -0400

libm4ri (20240729-1) unstable; urgency=medium

  * Point to new upstream.
  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 Jan 2025 09:19:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libm4ri
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Salfelder <felix@salfelder.org>,
            Cédric Boutillier <boutil@debian.org>,
            Julien Puydt <jpuydt@debian.org>
@@ -10,10 +9,11 @@
                dpkg-dev (>= 1.16.1~),
                libpng-dev,
                pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/science-team/libm4ri.git
 Vcs-Browser: https://salsa.debian.org/science-team/libm4ri
-Homepage: https://bitbucket.org/malb/m4ri
+Homepage: https://github.com/malb/m4ri
+Rules-Requires-Root: no
 
 Package: libm4ri-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-# disable sse2 except on amd64
-ifneq ($(DEB_HOST_ARCH_CPU),amd64)
 additional_confflags := --disable-sse2
-endif
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://github.com/malb/m4ri/tags .*/release-([\d\.+]+).tar.gz
